이 콘텐츠는 선택한 언어로 제공되지 않습니다.
8.4. Search Teams by Name
Description
Search teams with the specified string.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/teams |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
search | Search string of at least 2 characters | Yes | |
global | Boolean parameter to indicate whether global teams or teams owned by users are searched | Yes |
See Section A.4, “Teams” for more information on request parameters for this resource.
Request
{
"search": "engineering",
"global": true
}
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/teams --user user@example.com:password --data-urlencode search=engineering --data-urlencode global=true
JSON Response
The API returns a list of teams matching the search string.
{
"api_version": 1.6,
"data": [
{
"global": true,
"id": "534c7827b3868d3eb3000001",
"links": {
"GET": {
"href": "https://openshift.redhat.com/broker/rest/team/534c7827b3868d3eb3000001",
"method": "GET",
"optional_params": [
],
"rel": "Get team",
"required_params": [
]
},
"LIST_MEMBERS": {
"href": "https://openshift.redhat.com/broker/rest/team/534c7827b3868d3eb3000001/members",
"method": "GET",
"optional_params": [
],
"rel": "list members",
"required_params": [
]
}
},
"maps_to": "cn=engineering-team,ou=Groups,dc=example,dc=com",
"name": "engineering-team"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Found 1 teams"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "teams",
"version": "1.6"
}